
<form name="form" novalidate>


<div id="top_of_dialog">
	<strong>Modifica Parametri di Configurazione DSP </strong>
</div>

<div style="margin-top: 15px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="2">Impostazione parametri</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>DSP
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							{{ctrl.dspConfigToModify.dspName}}
						</span>
					</div>
				</td>
			</tr>
			<tr>
			   <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>TIPO DI UTILIZZO
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							{{ctrl.dspConfigToModify.utilizationName}}
						</span>
					</div>
				</td>
				
			</tr>
			<tr>
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>OFFERTA COMMERCIALE
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							{{ctrl.dspConfigToModify.offerName}}
						</span>
					</div>
				</td>
				
			</tr>
				<tr>
					<td class="fieldLabel medium"><label class="muted pull-right marginRight10px"> 
						<span class="redColor" ng-show="form.process.$invalid">*</span>FREQUENZA DSR</label>
					</td>
			
					<td class="fieldValue medium">
						
						<div class="input-group">
							<span class="span10"> 
								<select ng-init="frequenzaDSR = ctrl.dspConfigToModify.frequency" ng-model="frequenzaDSR"	ng-options="n for n in [] | month_range:1:30" required></select>
							</span>
							<span class="input-group-btn">
								<button  class="btn btn-default" type="button" tabindex="-1" ng-click="showOptional=true" ng-disabled="showOptional" >
									<span class="glyphicon glyphicon-plus" aria-hidden="true"></span>
								</button>
							</span>
						</div>


					</td>

				</tr>
				
				<tr ng-show="showOptional">
					<td class="fieldLabel medium"><label class="muted pull-right marginRight10px"> 
						<span class="redColor" ng-show="form.process.$invalid">*</span>FREQUENZA DSR (Periodo addizionale)</label>
					</td>
			
					
						
					<td class="fieldValue medium">
					<div class="input-group">
							<span class="span10"> 
								<select ng-model="frequenzaDSROpzionale"	ng-options="n for n in [] | month_range:1:30"></select>
							</span>
							<span class="input-group-btn">
								<button ng-show="showOptional"  class="btn btn-default" type="button" tabindex="-1" ng-click="clearOptional()" >
									<span class="glyphicon glyphicon-minus" aria-hidden="true"></span>
								</button>
							</span>
						</div>
					
					</td>

				</tr>
				
			<tr>
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>SLA (Ricezione)
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select ng-init="slaRicezione = (ctrl.dspConfigToModify.receiving - 0)" ng-model="slaRicezione" ng-options="n for n in [] | range:1:365" required></select>							
						</span>
					</div>
				</td>
			</tr>	
		 	<tr>
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>SLA (Invio)
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select ng-init="slaInvio = (ctrl.dspConfigToModify.sending - 0)" ng-model="slaInvio" ng-options="n for n in [] | range:1:365" required></select>							
						</span>
					</div>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button ng-disabled="form.$invalid" class="btn addButton" ng-click="modifyDSPConfig()">
				<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Modifica</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

<script type="text/ng-template" id="errorDialogId">
	<div id="target"  >
		<strong>{{ngDialogData}}</strong>
	</div>
</script>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>